summaryrefslogtreecommitdiff
path: root/dev-python/ruamel-yaml
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/ruamel-yaml
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/ruamel-yaml')
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/metadata.xml18
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.19.1.ebuild53
3 files changed, 72 insertions, 0 deletions
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
new file mode 100644
index 000000000000..306c0a714b3a
--- /dev/null
+++ b/dev-python/ruamel-yaml/Manifest
@@ -0,0 +1 @@
+DIST ruamel.yaml-0.19.1.tar.xz 203600 BLAKE2B f5f597a2f95c9e64507ac2031dbb0b6e78a37d5f166765f17739121904943601400aceabcebfee6666eb14e7b9e8a8a0eace6f5ade00c40b2745e6907c65604e SHA512 bf9eb8e40f506d6f3f34aee5f5ec74eb93bfda2b27022f6ad62dfac724b9e0847d61e3159d284bada7dec147992aaf509804f7139818de5bc85aa328bc32601f
diff --git a/dev-python/ruamel-yaml/metadata.xml b/dev-python/ruamel-yaml/metadata.xml
new file mode 100644
index 000000000000..17ee277ac33b
--- /dev/null
+++ b/dev-python/ruamel-yaml/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>zoltan@sinustrom.info</email>
+ <name>Zoltan Puskas</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.19.1.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.19.1.ebuild
new file mode 100644
index 000000000000..9403bd180d37
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.19.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="
+ https://yaml.dev/ruamel-dl-tagged-releases/${MY_P}.tar.xz
+ https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clibz[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}